GBKREG(1)

NAME
gbkreg - Kernel non linear regression function

SYNOPSIS
gbkreg [options]

DESCRIPTION
Kernel estimation of conditional moments. Data are read from standard input as couple (x,y). The moments of y are computed on a regular grid in x. The kernel bandwidth, if not provided with the option -H, is set automatically.

OPTIONS

-n  number of equispaced points where moments are computed (default 64)

-H  set the kernel bandwidth

-S  scale the automatic kernel bandwidth

-K  choose the kernel to use (default 0)

0   Epanenchnikov

1   Rectangular

2   Gaussian

-M  choose the method to compute the density (default 1)

0   FFT (number of points rounded to nearest power of 2)

1   discrete convolution (only with compact kernels)

2   explicit summation (can be long)

-O  set the output, comma separated list of m mean, v standard deviation, s skewness and k kurtosis (default m)

-v  verbose mode

-F  specify the input fields separators (default " \t")

-h  this help

EXAMPLES

gbkreg -M 2 < file
    compute the kernel regression of the entries in the second column of 'file' vs. the entries in the first column. If more data columns exist in file they are ignored. Explicit summation method (slower) is used.

gbkreg -02 < file
    compute the kernel regression of the standard deviation of the entries in the second column of 'file' vs. the entries in the first colum

AUTHOR
Written by Giulio Bottazzi

REPORTING BUGS
Report bugs to <gbutils@googlegroups.com>

Package home page <http://cafim.sssup.it/~giulio/software/gbutils/index.html>

COPYRIGHT
Copyright © 2001-2018 Giulio Bottazzi This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License (version 2) as published by the Free Software Foundation;

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.